Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621390 - [abrt] crash in subdownloader-2.0.10-1.fc13: socket.py:500:create_connection:gaierror: [Errno -2] Name or service not known
[abrt] crash in subdownloader-2.0.10-1.fc13: socket.py:500:create_connection:...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: subdownloader (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
abrt_hash:bee80115
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 18:16 EDT by rajath
Modified: 2010-09-23 11:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 11:14:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.97 KB, text/plain)
2010-08-04 18:16 EDT, rajath
no flags Details

  None (edit)
Description rajath 2010-08-04 18:16:24 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/subdownloader
component: subdownloader
executable: /usr/bin/subdownloader
kernel: 2.6.33.3-85.fc13.x86_64
package: subdownloader-2.0.10-1.fc13
reason: socket.py:500:create_connection:gaierror: [Errno -2] Name or service not known
release: Fedora release 13 (Goddard)

backtrace
-----
socket.py:500:create_connection:gaierror: [Errno -2] Name or service not known

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/subdownloader/gui/main.py", line 925, in onFolderTreeClicked
    self.SearchVideos(folder_path)
  File "/usr/lib/python2.6/site-packages/subdownloader/gui/main.py", line 807, in SearchVideos
    videoSearchResults = self.OSDBServer.SearchSubtitles("",videos_piece)
  File "/usr/lib/python2.6/site-packages/subdownloader/modules/SDService.py", line 343, in SearchSubtitles
    return SearchSubtitles (language, videos, imdb_ids)
  File "/usr/lib/python2.6/site-packages/subdownloader/modules/SDService.py", line 52, in __call__
    result = self.function(*args)
  File "/usr/lib/python2.6/site-packages/subdownloader/modules/SDService.py", line 378, in _SearchSubtitles
    result = self.xmlrpc_server.SearchSubtitles(self._token, search_array)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1235, in request
    self.send_content(h, request_body)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1349, in send_content
    connection.endheaders()
  File "/usr/lib64/python2.6/httplib.py", line 892, in endheaders
    self._send_output()
  File "/usr/lib64/python2.6/httplib.py", line 764, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.6/httplib.py", line 723, in send
    self.connect()
  File "/usr/lib64/python2.6/httplib.py", line 704, in connect
    self.timeout)
  File "/usr/lib64/python2.6/socket.py", line 500, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
gaierror: [Errno -2] Name or service not known

Local variables in innermost frame:
msg: 'getaddrinfo returns an empty list'
host: 'api.opensubtitles.org'
port: 80
timeout: <object object at 0x7f91d6a960b0>
address: ('api.opensubtitles.org', 80)
Comment 1 rajath 2010-08-04 18:16:30 EDT
Created attachment 436688 [details]
File: backtrace
Comment 2 Fedora Update System 2010-09-03 17:26:22 EDT
subdownloader-2.0.13-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/subdownloader-2.0.13-1.fc14
Comment 3 Fedora Update System 2010-09-03 17:26:50 EDT
subdownloader-2.0.13-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/subdownloader-2.0.13-1.fc12
Comment 4 Fedora Update System 2010-09-03 17:27:17 EDT
subdownloader-2.0.13-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/subdownloader-2.0.13-1.fc13
Comment 5 Jan Klepek 2010-09-03 17:32:14 EDT
please try version available in testing repository and let me know in cases that this version does NOT fix your issue. Otherwise I will consider this as solved.
Comment 6 Fedora Update System 2010-09-14 00:56:27 EDT
subdownloader-2.0.13-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-09-15 01:24:31 EDT
subdownloader-2.0.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-09-15 01:26:23 EDT
subdownloader-2.0.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Jan Klepek 2010-09-23 11:14:49 EDT
fixed in latest version, if problem persists, reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.